Was kann das Programm?

Was kann das Programm wshForCZP?

wshForCZP erleichtert die Arbeit mit dem Stapelverarbeitungsprogramm CZPBatch von CombineZP. Die Quellbilder-Verzeichnisse werden auf einfache Weise in ein gemeinsames Verzeichnis kopiert, die Resultate werden bei Bedarf in die Quellbilder-Verzeichnisse geschrieben.

Die Arbeitsweise von CZPBatch wird von wshForCZP nicht beeinflußt - wshForCZP vereinfacht lediglich Vor- und Nachbereitungsarbeiten für einen Ablauf von CZPBatch.

Entwickelt habe ich wshForCZP während der Arbeit am Fokus-Stacking mit CombineZP (insbesondere mit dem CombineZP-Makro «All Methods», um die Resultate verschiedener Bildbearbeitungsverfahren vergleichen zu können). Als ich bemerkte, daß ich mich durch immer dieselben Vor- und Nachbereitungsarbeiten klicken mußte, habe ich dieselben nach Möglichkeit automatisiert.

Fehlerberichte und Anregungen an folgende Adresse erbeten:

wsh.for.czp@wsh-wsh.de


Hilfe-Anleitung

Die Hilfedatei von wshForCZP

Die Hilfedatei, die Sie momentan lesen, verwendet öfters ein farblich kenntlich gemachtes Format zur Kennzeichnung von aktiven Texten: Wenn ein Text wie dieser durch Fettdruck und dunkelviolette Farbe hervorgehoben wird, kann durch Überstreichen des Textes mit dem Mauszeiger ein graphischer Hinweis in einem dazugehörigen Bild sichtbar gemacht werden; dabei wechselt die Farbe des aktiven Textes zu rot:


Installation

Installation von wshForCZP

wshForCZP muß in demselben Verzeichnis installiert werden wie CombineZP. Falls Sie CombineZP nicht im voreingestellten Verzeichnis "C:\Program Files (x86)\Alan Hadley\CombineZP" installiert haben, müssen Sie das Installationsverzeichnis bei der Installation von wshForCZP ändern:

Bei der Installation werden folgende Dateien ins Installationsverzeichnis kopiert:

  • Save In Loop.mac
  • wshForCZP All Methods.mac
  • wshForCZP.czm
  • wshForCZP.dll
  • wshForCZP.exe
  • wshForCZP.ico
  • wshForCZP5.bmp
  • wshForCZP_Deutsch.chm
  • wshForCZP_English.chm
  • wshforczpA.bmp
  • wshForCZPB.bmp
  • wshForCzpCounter.ecd
  • wshForCzpCounter.exe

Bei Bedarf werden eventuell noch weitere DLLs mitgeliefert.


Anfangs-Konfiguration

Anfangs-Konfiguration von wshForCZP

Einige Eigenschaften von wshForCZP sind konfigurierbar. Bei der Installation werden diese auf voreingestellte Werte gesetzt. Um die meisten dieser Eigenschaften brauchen Sie sich zunächst nicht zu kümmern; wichtig ist jedoch das Arbeitsverzeichnis für CZPBatch, das per Voreinstellung auf "C:\czpBatchFolder" gesetzt ist. Wenn dieses Verzeichnis noch nicht vorhanden ist, ist das kein Beinbruch, denn wshForCZP weist Sie in diesem Falle darauf hin und bietet Ihnen alternative Lösungsvorschläge für das Problem:

Am einfachsten ist es an dieser Stelle, das in wshForCZP voreingestellte CZPBatch-Arbeitsverzeichnis durch Auswahl der ersten Option erzeugen zu lassen.

Das Verzeichnis, das Sie hier auswählen, müssen Sie später auch im Anwendungsfenster von CZPBatch spezifizieren:


Erster Start

Erster Start von wshForCZP

Nach dem ersten Starten von wshForCZP erscheint das Hauptfenster; Sie haben zwei Möglichkeiten für Aktionen: Sie können Ordner mit Quellbildern zur Verarbeitung auswählen oder die Konfigurationseinstellungen bearbeiten. Außerdem können Sie die von der Anwendung benutzte Sprache ändern (Deutsch oder Englisch) oder diese Hilfedatei anzeigen.

  • Wenn Sie Ordner mit Quellbildern auswählen wollen, wählen Sie die Menüoption «Bearbeiten → Ordner auswählen» bzw. klicken Sie auf den zugehörigen Button in der Symbolleiste.
  • Wenn Sie Konfigurationseinstellungen bearbeiten wollen, wählen Sie die Menüoption «Konfiguration → Konfiguration bearbeiten» bzw. klicken Sie auf den zugehörigen Button in der Symbolleiste.
  • Wenn Sie die Sprache der Anwendung umschalten wollen, wählen Sie die Menüoption «Sprache → Sprache wechseln» bzw. klicken Sie auf den zugehörigen Button in der Symbolleiste.
  • Wenn Sie die vorliegende Hilfedatei anzeigen wollen, wählen Sie die Menüoption «Hilfe → Hilfethemen» bzw. klicken Sie auf den zugehörigen Button in der Symbolleiste.


Konfiguration

Konfigurierbare Eigenschaften von wshForCZP

Mit der Menüoption «Konfiguration → Konfiguration bearbeiten» (erreichbar über den zweiten Button in der Symbolleiste) bringen Sie einen Dialog auf den Schirm, mit dem Sie die Arbeitsweise von wshForCZP konfigurieren können. Sie brauchen sich um diese Konfigurationseigenschaften zunächst nicht zu kümmern; das Programm funktioniert auch mit den Voreinstellungen. Wenn Sie etwas Erfahrung mit wshForCZP gewonnen haben, können Sie wshForCZP durch Konfigurationsänderungen flexibler benutzen.

Der Konfigurations-Dialog verfügt über drei Tabs:

  1. Ordner und Dateien
  2. Aktionen von wshForCZP
  3. Akustische Signale

Mit dem Button «auf Voreinstellungen zurücksetzen» können Sie alle konfigurierbaren Eigenschaften des angezeigten Tabs auf die voreingestellten Werte zurücksetzen. Wenn alle konfigurierbaren Eigenschaften des angezeigten Tabs mit den voreingestellten Werten besetzt sind, ist dieser Button deaktiviert.

Mit dem Button «gesamte Konfiguration auf Voreinstellung setzen» können Sie sämtliche konfigurierbaren Eigenschaften des Programms wshForCZP auf die voreingestellten Werte zurücksetzen. Wenn alle konfigurierbaren Eigenschaften von wshForCZP mit den voreingestellten Werten besetzt sind, ist dieser Button deaktiviert.


Tab Ordner

Das Konfigurations-Tab «Ordner und Dateien»

In diesem Tab können Sie drei Eigenschaften von wshForCZP konfigurieren: das Quellverzeichnis für CZPBatch, den Startordner für Bildordner-Auswahl und den Namen für Bilder-Ausgabeordner.

Quellverzeichnis für CZPBatch

Hier spezifizieren Sie ein Arbeitsverzeichnis für CZPBatch; dieses Verzeichnis muß im CZPBatch-Eingabefeld «Outer Folder» ausgewählt werden. Mit dem Button «Durchsuchen» bringen Sie einen Dialog auf den Schirm, in dem Sie ein existierendes Verzeichnis auswählen können. Die Voreinstellung ist "C:\czpBatchFolder".

Sie können hier ein beliebiges Verzeichnis wählen, das sich allerdings auf demselben Computer befinden muß wie die CombineZP-Installation. Es empfiehlt sich, dieses Verzeichnis nur zur Stapelverarbeitung mittels wshForCZP und CZPBatch zu verwenden. CZPBatch erzeugt in diesem Verzeichnis ein Unterverzeichnis namens CZPoutputs - dieses Verzeichnis kann dort bleiben und stört nicht, CZPBatch speichert darin seine eigenen Output-Bilder. Andere Verzeichnisse sollten im gewählten Arbeitsverzeichnis nicht existieren, bevor und nachdem wshForCZP aktiv ist.

Sollten nach einem unplanmäßigen Abbruch von wshForCZP bzw. CZPBatch irgendwelche Verzeichnisse unterhalb des Arbeitsverzeichnisses übriggeblieben sein, werden Sie beim nächsten Start von wshForCZP darauf aufmerksam gemacht; Sie sollten dann diese Verzeichnisse löschen, nicht ohne gegebenenfalls vorher darin vorhandene Ergebnis-Bilddateien zu retten. Während der Stapelverarbeitung mittels wshForCZP befinden sich im Arbeitsverzeichnis Unterverzeichnisse und Dateien, die Sie in Ruhe lassen sollten; werden diese manuell gelöscht, bevor der Durchlauf wshForCZP abgeschlossen wurde, gerät der Arbeitsablauf von wshForCZP durcheinander. Wenn alles nach Plan verläuft, werden alle Unterverzeichnisse und Dateien außer CZPoutputs nach getaner Arbeit von wshForCZP automatisch gelöscht.

Startordner für Bildordner-Auswahl

Hier spezifizieren Sie, bei welchem Ordner der Dialog zur Auswahl der Quellordner im Vorbereitungs-Modus zuerst geöffnet wird. Der Dialog kann ohne geöffneten Ordner gestartet werden oder mit demjenigen Ordner, der zuletzt in wshForCZP ausgewählt wurde. Außerdem ist es möglich, einen bestimmten Ordner zu spezifizieren, mit dem der Dialog geöffnet wird; das kann der Desktop, der Ordner "Eigene Dateien", der Ordner "Eigene Bilder" oder ein beliebiger anderer Ordner sein, den Sie mit dem Button «Durchsuchen» auswählen können.

Voreingestellt ist der zuletzt in wshForCZP benutzte Ordner.

Name für Bilder-Ausgabeordner

Hier spezifizieren Sie einen Namen für den Ordner, der von wshForCZP im Quellordner für die Aufnahme der bei der Stapelverarbeitung produzierten Bilder erzeugt wird.

Voreingestellt ist "output".

Dieser Ordner wird niemals überschrieben; wenn im Quellordner bereits ein Subordner mit diesem Namen vorhanden ist, wird an den Namen des neuerzeugten Ordners ein numerisches Suffix angehängt (zB. "output_0001", wenn "output" bereits existiert).


Tab Aktionen

Das Konfigurations-Tab «Aktionen von wshForCZP»

In diesem Tab können Sie zwei Eigenschaften von wshForCZP konfigurieren: den Namen des Verzeichnisses, das CombineZP für die Ausgabe von "Export Rectangles" benutzt, und die Vorgehensweise bei der Prüfung auf identische Dimensionen der Quellbilder.

Ausgabe von «Export Rectangles»

In einem Eingabefeld kann zunächst der Name des Ordners spezifiziert werden, in dem CombineZP die durch den Menübefehl «Export Rectangles» erzeugten Bilddateien ablegt.

Die Voreinstellung ist das in CombineZP voreingestellte "rectangles". Wenn Sie nicht einen besonderen Grund haben, den Output von «Export Rectangles» in ein Verzeichnis anderen Namens schreiben zu lassen, werden Sie dabei bleiben.

Nun können Sie in drei Optionsfeldern spezifizieren, wie wshForCZP mit dem Inhalt solcher Ordner verfahren soll.

Den Hintergrund stellt die Arbeitsweise des CombineZP-Menübefehls «Export Rectangles» dar - dieser Menübefehl exportiert auch die Frames "Out" und "Picture". Wenn man lediglich die Absicht hat, einen bestimmten Ausschnitt einer Serie sonst noch unbearbeiteter Bilder zu erhalten, kann man mit den Frames "Out" und "Picture" wenig anfangen - sie sind schlicht schwarz. Wenn man nun öfters mittels «Export Rectangles» Serien von Bildausschnitten erzeugt, die dann beim Fokus-Stacking bearbeitet werden sollen, können die beiden angesprochenen Frames sehr stören. Mit den drei Radiobuttons kann man bestimmen, wie mit Bilddateien verfahren werden soll, die sich in einem Ordner des im Eingabefeld festgelegten Namens (voreingestellt also "rectangles") befinden UND im Dateinamen entweder die Zeichenkette "out" oder die Zeichenkette "picture" enthalten. wshForCZP kann solche Dateien genauso wie alle anderen behandeln, sie können aber auch für die Stapelverarbeitung ignoriert oder sogar zusätzlich im Quellordner gelöscht werden (letztere Option ist mit Vorsicht zu verwenden; man könnte schnell etwas gelöscht haben, was man noch gebraucht hätte!).

Voreingestellt ist das Ignorieren derartiger Bilddateien.

Prüfung auf identische Dimensionen der Quellbilder

CombineZP benötigt für die Anwendung der Fokus-Stacking-Makros einen Stack aus Frames identischer Abmessungen. wshForCZP kann bei den Vorbereitungs-Arbeiten prüfen, ob diese Bedingung erfüllt ist. Diese Prüfung ist immer sinnvoll, aber leider auch zeitaufwendig. Wenn man sicher ist, daß alle Bilder identische Dimensionen haben, kann man auf die Prüfung verzichten. Es gibt drei Optionen:

  • jedesmal fragen, ob geprüft werden soll
  • prüfen und nicht fragen
  • nicht prüfen und nicht fragen

Per Voreinstellung wird gefragt.


Tab Signale

Das Konfigurations-Tab «Akustische Signale»

In diesem Tab können Sie festlegen, ob und wie Ihnen wshForCZP die Fortschritte bei der Stapelverarbeitung durch akustische Signale anzeigt. Das erste Signal zeigt die Abarbeitung eines einzelnen Quellordners an, das zweite die Fertigstellung der gesamten Stapelverarbeitung. Dieses zweite Signal kann sich verschieden anhören, je nachdem ob bei der Nachbearbeitung durch wshForCZP Unregelmäßigkeiten aufgetreten sind oder nicht.

Bei solchen Unregelmäßigkeiten handelt es sich meist um Fehler beim Schreiben von Dateien, was auf Netzwerkprobleme, fehlende Schreibberechtigungen oder einen Mangel an Festplatten-Speicherplatz zurückzuführen sein kann. Zusammen mit dem akustischen Signal für «Fertigstellung mit Fehlern» wird wshForCZP Ihnen in solchen Fällen eine Messagebox mit einer detaillierten Auflistung der Fehler präsentieren.

Signal für «ein Ordner fertiggestellt»

Das Signal für «ein Ordner fertiggestellt» können Sie stummschalten; Sie können das voreingestellte Signal verwenden oder eine eigene .WAV-Datei dafür benutzen. Mit dem Button «Anhören» können Sie das aktuelle Signal abspielen, mit dem Button «Durchsuchen» können Sie eine existierende .WAV-Datei für diesen Zweck auswählen.

Signal für «gesamter Stapel fertiggestellt»

Das Signal für «gesamter Stapel fertiggestellt» können Sie ebenfalls stummschalten. Wenn es hörbar ist, können Sie für eine fehlerfreie Abarbeitung ein anderes Signal als für eine fehlerbehaftete Abarbeitung wählen; dies geschieht auf ganz analoge Weise wie beim Signal für die Fertigstellung eines Ordners.

Per Voreinstellung sind alle Signale hörbar und verwenden die voreingestellten Signale.


Arbeitsablauf

Typischer Arbeitsablauf von wshForCZP

  1. Starten Sie die Anwendung wshForCZP.
  2. Wählen Sie die Ordner mit den Quellbildern. Klicken Sie dazu auf den Button «Neue Quellordner auswählen» ganz links in der Symbolleiste.
  3. Im erscheinenden Dialog «Quellordner-Auswahl» wählen Sie einen Ordner nach dem anderen aus, indem Sie ihn markieren und auf den Button «OK» klicken. Haben Sie den letzten Ordner ausgewählt, schließen Sie den Dialog durch einen Klick auf «Abbrechen».
  4. Warten Sie, bis das Anwendungsfenster von CZPBatch erscheint.
  5. Stellen Sie sicher, daß dort im Eingabefeld «Outer Folder» der Inhalt des in der Konfiguration von wshForCZP spezifizierten Arbeitsverzeichnisses zu sehen ist.
  6. Wählen Sie im Anwendungsfenster von CZPBatch ein geeignetes Makro und einen geeigneten Makrosatz.
  7. Schließen Sie das Anwendungsfenster von CZPBatch durch einen Klick auf «OK».
  8. Den Rest erledigt wshForCZP automatisch. Nachdem CZPBatch seine Arbeit fertiggestellt hat, erscheint wieder das Anwendungsfenster von wshForCZP. Erneut werden Sie durch eine Messagebox mit Fortschrittsanzeige bei Laune gehalten.
  9. Nun verschiebt wshForCZP die neuerzeugten Bilder in neuerzeugte Unterverzeichnisse der Quellordner. Zuletzt bringt wshForCZP eine Messagebox auf den Schirm, die Sie über die Fertigstellung der Stapelverarbeitung informiert.
  10. Wenn bei der Stapelverarbeitung irgendwelche Unregelmäßigkeiten aufgetreten sind, enthält die Messagebox eine Auflistung der Fehler.
  11. Wenn Sie die Messagebox schließen, wird wshForCZP beendet.


Symbolleiste

Die Symbolleiste

Alle wichtigen Funktionen von wshForCZP sind über Buttons in der Symbolleiste zugänglich.

Neue Quellordner auswählen

Mit einem Klick auf diesen Button starten Sie eine neue Stapelverarbeitung. Es erscheint der Dialog zur Auswahl der Quellordner. Dasselbe leistet die Menüoption «Bearbeiten → Ordner auswählen».

Konfigurations-Dialog

Mit einem Klick auf diesen Button erhalten Sie Zugriff auf die konfigurierbaren Eigenschaften von wshForCZP. Es erscheint der Konfigurations-Dialog. Dasselbe leistet die Menüoption «Konfiguration → Konfiguration bearbeiten».

Sprache wechseln

Mit einem Klick auf diesen Button können Sie die von wshForCZP. benutzte Sprache zwischen Deutsch und Englisch umschalten. Dasselbe leistet die Menüoption «Sprache → Sprache wechseln».

Hilfedatei anzeigen

Mit einem Klick auf diesen Button können Sie die Hilfedatei, die sie soeben lesen, in der aktuellen Sprache auf den Schirm bringen. Dasselbe leistet die Menüoption «Hilfe → Hilfethemen».


Dialog Quellordner-Auswahl

Der Dialog «Quellordner-Auswahl»

Nach Auswahl der Menüoption «Ordner auswählen» erscheint folgender Dialog zur Auswahl der Ordner, in denen die Bilddateien enthalten sind, die Sie bearbeiten wollen:

Sie wählen einen Ordner aus, indem Sie ihn markieren und dann auf «OK» klicken. Die Pfade der ausgewählten Quellordner erscheinen im Hauptfenster. Die Quellordner müssen sich nicht auf demselben Computer befinden, sie können auch über das Netzwerk zugänglich sein.

Wenn Sie alle gewünschten Quellordner ausgewählt haben, klicken Sie im Dialog auf «Abbrechen» - dadurch wird der Dialog geschlossen, und wshForCZP beginnt mit der Bearbeitung der ausgewählten Quellordner. Dabei ist eine Messagebox mit Fortschrittsanzeige zu sehen:

Sind alle temporären Ordner vorbereitet, startet wshForCZP das Programm CZPBatch. In dessen Anwendungsfenster wählen Sie einen Makrosatz, ein Makro und gegebenenfalls das richtige Arbeitsverzeichnis und starten die Arbeit von CZPBatch durch einen Klick auf den Button «OK».


CZPBatch-Anwendungsfenster

Auswahl im Fenster von CZPBatch

Hier müssen Sie auf zwei Dinge achten.

  • Erstens muß im Eingabefeld «Outer Folder» der Inhalt des Verzeichnisses zu sehen sein, das Sie an wshForCZP als Arbeitsverzeichnis von CZPBatch gemeldet haben (siehe Konfigurationseinstellung «Quellverzeichnis für CZPBatch). Den Pfad zum Arbeitsverzeichnis sehen Sie oben links im Anwendungsfenster von CZPBatch. Sie können ihn im Feld «Outer Folder» ändern.
  • Zweitens müssen Sie ein Makro und einen Makrosatz spezifizieren, die mit wshForCZP zusammenarbeiten. Als Muster wurden der Installation «wshForCZP» und «wshForCZP All Methods» beigegeben; Sie können Ihre eigenen benutzerdefinierten Makros verwenden, die allerdings bestimmte Bedingungen erfüllen müssen (siehe hier).


Details

Details zur Arbeitsweise von wshForCZP

wshForCZP arbeitet in zwei verschiedenen Modi: Vorbereitung (zugänglich über die Menüoption «Bearbeiten -> Ordner auswählen» bzw. den ersten Button in der Symbolleiste) und Nachbereitung (in diesen Modus begibt sich wshForCZP automatisch, wenn das Programm feststellt, daß im spezifizierten CZPBatch-Arbeitsverzeichnis noch unbearbeiteter Output von CZPBatch existiert). Normalerweise starten Sie nur den Vorbereitungs-Modus, im Nachbereitungs-Modus wird wshForCZP nach Fertigstellung der Stapelverarbeitung durch CZPBatch automatisch gestartet.

Vorbereitungs-Modus

Wenn Sie den Vorbereitungs-Modus starten, sollten sich im Arbeitsverzeichnisses für CZPBatch keine Dateien und keine Unterverzeichnisse (außer allenfalls CZPoutputs) befinden.

Nach Auswahl der Menüoption «Ordner auswählen» erscheint ein Dialog zur Auswahl der Ordner, die die zu bearbeitenden Bilddateien enthalten. Sie wählen einen Ordner aus, indem Sie ihn markieren und dann auf «OK» klicken. Die Pfade der ausgewählten Quellordner erscheinen im Hauptfenster. Wenn Sie alle gewünschten Quellordner ausgewählt haben, klicken Sie im Dialog auf «Abbrechen» - dadurch wird der Dialog geschlossen, und wshForCZP beginnt mit der Bearbeitung der ausgewählten Quellordner.

Je nach Konfigurationseinstellung werden Sie nun gefragt, ob wshForCZP die Bilder in den Quellordnern auf einheitliche Dimensionen testen soll (Sie können wshForCZP auch so konfigurieren, daß dieser Test ohne weitere Nachfrage durchgeführt oder unterlassen wird; siehe hier). Falls es Probleme mit dem in den Konfigurationseinstellungen spezifizierten CZPBatch-Arbeitsverzeichnis (siehe hier) gibt, werden Sie mit einer Messagebox darüber informiert und um Abhilfe gebeten.

Wenn der Bilddimensions-Test durchgeführt wird und in einem Verzeichnis Bilder mit verschiedenen Dimensionen entdeckt, erscheint eine Messagebox mit diesbezüglichen Informationen; Sie gibt Ihnen die Möglichkeit, die Bilddateien mit den abweichenden Dimensionen oder den gesamten Quellordner von der Stapelverarbeitung auszuschließen oder aber die Bilder trotzdem zu bearbeiten; wenn Ihnen keine dieser Alternativen gefällt, können Sie an dieser Stelle auch das Programm wshForCZP beenden.

Nun beginnt wshForCZP mit den Vorbereitungsarbeiten. Für jeden Quellordner wird im CZPBatch-Arbeitsverzeichnis ein Unterverzeichnis erzeugt, in welches dann die Quellbilder kopiert werden. Eine Dialogbox mit dem sinnigen Titel «Bitte warten...» und einer Fortschrittsanzeige vertreibt Ihnen die Langeweile, solange wshForCZP mit der Vorbereitung des CZPBatch-Arbeitsverzeichnisses beschäftigt ist.

Die Bilddateien werden in jedem Falle kopiert und nicht nur verschoben. Zwar könnte man durch bloßes Verschieben eine Geschwindigkeitssteigerung erreichen, doch wurde bei der Entwicklung von wshForCZP der Sicherheit Vorrang gegeben - falls die Stapelverarbeitung mit irgendeinem unerwarteten Fehler abgebrochen wird, müßten Sie die Bilddateien manuell an ihren angestammten Platz zurückverschieben, wobei dies und jenes schiefgehen könnte. Die Quellbild-Dateien verbleiben stets an ihrem ursprünglichen Platz im Dateisystem und werden lediglich kopiert.

Zusätzlich zu den Unterverzeichnissen mit den Quellbildern erzeugt wshForCZP im CZPBatch-Arbeitsverzeichnis die beiden Dateien wshForCZP_Anzahl und wshForCZP_KontrollMap. Diese werden intern benutzt und bei den Aufräumarbeiten nach der Stapelverarbeitung automatisch wieder gelöscht; Sie brauchen sich mit diesen beiden Dateien überhaupt nicht zu befassen - Sie dürfen sie allerdings während der Stapelverarbeitung auch nicht löschen oder verändern, sonst schleudert wshForCZP aus der Spur.

wshForCZP_Anzahl enthält schlicht die Anzahl der Unterverzeichnisse, die noch zu bearbeiten sind; der Inhalt wird bei jedem Durchlauf von wshForCzpCounter.exe heruntergezählt. Wenn der Inhalt 0 geworden ist, wird automatisch wshForCZP im Nachbereitungs-Modus gestartet.

wshForCZP_KontrollMap enthält die Zuordnung der temporären Unterverzeichnisse im CZPBatch-Arbeitsverzeichnis zu den Input-Ordnern mit den Quellbildern.

Wenn wshForCZP mit den Vorbereitungsarbeiten fertig ist, startet automatisch das Programm CZPBatch. Achten Sie darauf, daß im «Outer Folder»-Eingabefeld von CZPBatch der Inhalt des in wshForCZP spezifizierten CZPBatch-Arbeitsverzeichnisses angezeigt wird (in der voreingestellten Konfiguration von wshForCZP ist dies ein Verzeichnis namens "C:\czpBatchFolder"). In den Eingabefeldern «Macro Set» und «Macro» wählen Sie ein Makro aus, das den an anderer Stelle erläuterten Kriterien entspricht (siehe hier). Die übrigen Optionen betreffen nur die Ausgabe von CZPBatch ins Verzeichnis "CZPoutputs". Starten Sie die Stapelverarbeitung durch einen Klick auf «OK». Sie können sich durch akustische Signale über die Abarbeitung der einzelnen Quellordner informieren; auch für die Fertigstellung der gesamten Stapelverarbeitung ist ein akustisches Signal verfügbar (siehe Konfigurations-Einstellungen).

Nachbereitungs-Modus

wshForCZP wird automatisch in diesem Modus gestartet, wenn CZPBatch mit seiner Arbeit fertig ist (und wenn Sie ein geeignetes Makro für CZPBatch spezifiziert haben; siehe hier). In diesem Modus werden keine Eingaben Ihrerseits erwartet; wshForCZP schreibt einfach die von CZPBatch erzeugten Ergebnisbilder in Unterverzeichnisse der Quellordner. Sollten hierbei Probleme auftreten (weil beispielsweise ein Quellordner nicht beschrieben werden darf oder aufgrund von Netzwerkschwierigkeiten nicht erreichbar ist), weist wshForCZP Sie in einer abschließenden Messagebox darauf hin.

In einem derartigen Fehlerfall sind die Ergebnis-Bilddateien eventuell in einem Notfall-Verzeichnis zu finden, das wshForCZP_save heißt und sich im CZPBatch-Arbeitsverzeichnis befindet. wshForCZP_save enthält seinerseits Unterverzeichnisse, deren Namen einen Hinweis auf den zugehörigen Quell-Bildordner geben. In diesen Unterverzeichnissen wiederum finden Sie die Output-Verzeichnisse, die die Ergebnis-Bilder enthalten - Sie können diese manuell in die Quell-Bildordner verschieben. Wenn Sie alle Output-Ordner gesichert haben, können Sie wshForCZP_save manuell löschen.

Details über Fehler und Notfall-Verzeichnis können Sie der erwähnten Messagebox entnehmen (buchstäblich - Sie können die enthaltenen Meldungen durch einen einfachen Klick auf den Button «in die Zwischenablage kopieren» ebendorthin befördern).

Auch hier ist anzumerken, daß bei der Entwicklung von wshForCZP die Sicherheit der Quelldateien Vorrang hatte - wshForCZP wird niemals ein in einem Quellverzeichnis bereits vorhandenes Unterverzeichnis überschreiben. Wenn ein Unterverzeichnis mit dem Namen des zu erzeugenden Ergebnis-Verzeichnisses bereits vorhanden ist, wird ein neues Unterverzeichnis erzeugt, dessen Namen sich durch ein angehängtes numerisches Suffix unterscheidet.

Sollte es bei der Stapelverarbeitung ein Problem gegeben haben und CZPBatch auf unerwartete Weise beendet worden sein, können Sie wshForCZP versuchsweise starten - wenn die Dateien wshForCZP_Anzahl und wshForCZP_KontrollMap im CZPBatch-Arbeitsverzeichnis konsistente Inhalte haben, geht wshForCZP automatisch in den Nachbereitungs-Modus und beginnt mit der Nachbereitung. Wenn die Inhalte dieser Dateien nicht konsistent sind, wird wshForCZP Ihnen dies in einer Messagebox mitteilen und sich beenden.


Makro-Anleitung

Notwendige Eigenschaften des Makros für CZPBatch

Die im folgenden beschriebenen Makros, Makrosätze und Kommandos werden von der wshForCZP- Installation mitgeliefert; es handelt sich um die Dateien

  • wshForCzpCounter.ecd
  • Save In Loop.mac
  • wshForCZP All Methods.mac
  • wshForCZP.czm

Die Erzeugung wird hier nur zur Veranschaulichung beschrieben und liefert Ihnen einen Ansatzpunkt zur Erzeugung eigener Makros.

Sie benötigen zunächst ein Kommando, das die zu wshForCZP gehörende Konsolenanwendung wshForCzpCounter startet. Sie erzeugen dieses Kommando einfach aus CombineZP mit der Menüoption «Macro → Edit → Commands»; bearbeiten Sie eines der noch unbelegten externen Kommandos (namens «External Command #n»): sowohl im Eingabefeld «Name» als auch im Eingabefeld «Program» muß die Zeichenkette «wshForCzpCounter» stehen; das Eingabefeld «Command Line» lassen Sie frei. Wenn Sie dieses Kommando abspeichern, steht es Ihnen im Makroeditor in der Listbox «Command» unter der Bezeichnung «wshForCzpCounter» zur Verfügung. Ein Makro, das mit wshForCZP zusammenarbeiten soll, muß dieses Kommando an letzter Stelle enthalten:

  • ...
  • ...
  • wshForCzpCounter(0,0,0)

Die ausführbare Datei wshForCzpCounter.exe muß ebenso wie die Datei wshForCZP.exe in demselben Verzeichnis stehen wie CombineZP.exe und CZPBatch.exe (typischerweise ist das "C:\Programme\Alan Hadley\CombineZP"; Sie müssen das Installationsverzeichnis von CombineZP bei der Installation von wshForCZP auswählen).

Weiterhin ist das Makro-Kommando «Output Active Frame» von Interesse; mit diesem Kommando kann ein einzelnes Makro mehrere Ergebnis-Bilder abspeichern. Um mit CZPBatch alle Ergebnisse des Standard-Makros «All Methods» abzuspeichern, geht man beispielsweise folgendermaßen vor:

  1. Man erzeugt mittels des Makro-Editors ein kurzes Makro namens «Save In Loop». Es enthält nur drei Kommandos:
    • Output Active Frame(1)
    • Go (Relative) to Frame(1)
    • Restart Macro
  2. Man erzeugt ein Makro namens «wshForCZP All Methods», indem man an das Standardmakro «All Methods» die beiden folgende Kommandos anhängt:
    • ...
    • ...
    • Save In Loop(1,0,1)
    • wshForCzpCounter(0,0,0)

Das Makro «wshForCZP All Methods» speichert die Ergebnisse aller 6 Standardmakros in einem Unterverzeichnis namens "output". wshForCZP sucht im Nachbereitungs-Modus Bilddateien in einem Unterverzeichnis dieses Namens und überträgt sie in ein Unterverzeichnis im Quellordner (dabei werden die unhandlichen Dateinamen auf die Namen der jeweiligen Makros verkürzt). Damit dies funktioniert, müssen Sie im Eingabefeld «Macro» der Anwendung CZPBatch das Makro «wshForCZP All Methods» auswählen (bzw. ein analog aufgebautes anderes Makro mit den benötigten Eigenschaften, wenn Sie andere Ergebnisse erhalten möchten). Unverzichtbar für wshForCZP ist in jedem Falle «wshForCzpCounter(0,0,0)» als abschließendes Kommando.

Der Makrosatz wird als "wshForCZP.czm" gespeichert.


Die Menueleiste

Die Menüleiste von wshForCZP

Die Menüleiste von wshForCZP enthält die folgenden fünf Untermenüs:

  1. Menü «Bearbeiten»
  2. Menü «Ansicht»
  3. Menü «Konfiguration»
  4. Menü «Sprache»
  5. Menü «Hilfe»

Alle wichtigen Menübefehle sind auch über Buttons in der Symbolleiste verfügbar. Wenn Sie eine Maus haben, werden Sie die Menüleiste kaum benötigen.


Menue Bearbeiten

Menü «Bearbeiten»

Das Menü «Bearbeiten» enthält nur einen Befehl:

  1. «Ordner auswählen»

Mit der Auswahl dieses Menübefehls starten Sie eine neue Stapelverarbeitung. Es erscheint der Dialog zur Auswahl der Quellordner. Dasselbe leistet der Button «Neue Quellordner auswählen» in der Symbolleiste.


Menue Ansicht

Menü «Ansicht»

Das Menü «Ansicht» enthält zwei Befehle:

  1. «Symbolleiste»
  2. «Statusleiste»

Mit diesen Befehlen können Sie die betreffende Leiste verstecken und wiedereinblenden. Beide Befehle sind völlig überflüssig.


Menue Konfiguration

Menü «Konfiguration»

Das Menü «Konfiguration» enthält nur einen Befehl:

  1. «Konfiguration bearbeiten»

Mit der Auswahl dieses Menübefehls erhalten Sie Zugriff auf die konfigurierbaren Eigenschaften von wshForCZP. Es erscheint der Konfigurations-Dialog. Dasselbe leistet der Button «Konfigurations-Dialog» in der Symbolleiste.


Menue Sprache

Menü «Sprache»

Das Menü «Sprache» enthält drei Befehle:

  1. «Deutsch»
  2. «Englisch»
  3. «Sprache wechseln»

Mit der Auswahl eines der beiden ersten Menübefehle wechselt die Anwendung wshForCZP zur betreffenden Sprache; mit der Auswahl des dritten Menübefehls wechselt die Anwendung zur momentan nicht benutzten Sprache - letzteres leistet auch der Button «Sprache wechseln» in der Symbolleiste.


Menue Hilfe

Menü «Hilfe»

Das Menü «Hilfe» enthält zwei Befehle:

  1. «Hilfethemen»
  2. «Info über wshForCZP...»

Mit der Auswahl des ersten Menübefehls bringen Sie die Hilfedatei auf den Bildschirm, die Sie soeben lesen. Dasselbe leistet auch der Button «Hilfedatei anzeigen» in der Symbolleiste.

Bei Auswahl des zweiten Menübefehls sehen Sie eine kleine Messagebox mit Informationen zu Versionsnummer und Copyright.